* {
    box-sizing: border-box;
}

html, body {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
}

body {
    background-color: #000;
}

#main {
    width: 210mm;
    height: 297mm;

    background-color: #fff;

    position: absolute;
    top: 0;
    left: 0;
}

#toolbox {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);

    padding: 8px;

    display: flex;
    flex-direction: column;
    gap: 8px;

    background-color: rgba(255, 255, 255, 0.5);
}

.tool {
    border: none;
    background: none;
    padding: 0;

    width: 32px;
    height: 32px;
}

#code-container {
	position: absolute !important;
	right: 64px;
	width: 512px;
	top: 50%;
	transform: translateY(-50%);

    display: flex;
    flex-direction: column-reverse;
    gap: 8px;
}